from django.shortcuts import render
from django.views.generic import ListView, DetailView
from django.contrib.auth.mixins import LoginRequiredMixin

from .models import Service


# Cette page liste uniquement les services de l’utilisateur
class ServiceList(LoginRequiredMixin, ListView):
    def get_queryset(self):
        if self.request.user.profile.adhesion:
            return Service.objects.filter(adherent=self.request.user.profile.adhesion).order_by('-created')
        else:
            return Service.objects.none()


# L’utilisateur peut accéder aux détails de ces services et de ceux de ces asso
class ServiceDetail(LoginRequiredMixin, DetailView):
    def get_queryset(self):
        return Service.objects.filter(adherent__pk__in=self.request.user.profile.adhesions.values_list('pk')) \
                    .order_by('-created')
